Bug 111797 - "For the current document only" checkbox is aligned to the right
Summary: "For the current document only" checkbox is aligned to the right
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: All All
: medium trivial
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords: topicUI
Depends on:
Blocks:
 
Reported: 2017-08-14 09:55 UTC by Gabor Kelemen
Modified: 2017-08-15 23:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in LO 5.4 (29.56 KB, image/png)
2017-08-14 09:55 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-08-14 09:55:07 UTC
Created attachment 135542 [details]
Screenshot of the problem in LO 5.4

In the Options - Language Settings - Languages panel the "For the current document only" checkbox looks aligned to the right instead of the left side of the dropdown lists, like the "Same as locale setting" checkbox is.

In the past it was aligned to the dropdowns: https://commons.wikimedia.org/wiki/File:OpenOffice.org2.3_Language_Settings_(Languages).png
Comment 1 Telesto 2017-08-14 19:25:18 UTC
Repro with:
Version: 6.0.0.0.alpha0+
Build ID: f1a896c71c495bdef5861eb664581507b6b9b5bb
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-13_07:38:19
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Telesto 2017-08-14 19:29:10 UTC
Also reproduced with:
Version: 4.3.7.2
Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba

but not with:
Versie: 4.1.0.4 
Build ID: 89ea49ddacd9aa532507cbf852f2bb22b1ace28
Comment 3 Commit Notification 2017-08-15 22:39:29 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39915524df98bae8ce8cea2549016b62b41a89d9

tdf#111797 Fix alignment of 'For the current document only' checkbox

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-08-15 22:40:58 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3460112f70e1b6c381d2d8a926aa578addb6b1d8&h=libreoffice-5-4

tdf#111797 Fix alignment of 'For the current document only' checkbox

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.